%define upstream_name    Parse-CPAN-Packages
%define upstream_version 2.40

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse 02packages.details.txt.gz
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Peek)
BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Moo)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::InDistDir)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(version)
BuildArch:  noarch

%description
The Comprehensive Perl Archive Network (CPAN) is a very useful collection
of Perl code. It has several indices of the files that it hosts, including
a file named "02packages.details.txt.gz" in the "modules" directory. This
file contains lots of useful information and this module provides a simple
interface to the data contained within.

In a future release the Parse::CPAN::Packages::Package manpage and the
Parse::CPAN::Packages::Distribution manpage might have more information.

Methods
    * new

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.400.0-3.mga6
+ Revision: 1031663
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.400.0-2.mga6
+ Revision: 967133
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 2.400.0-1.mga6
+ Revision: 848171
- update to 2.40

* Wed Oct 15 2014 umeabot <umeabot> 2.380.0-5.mga5
+ Revision: 746427
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.380.0-3.mga4
+ Revision: 513973
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.380.0-2.mga3
+ Revision: 371522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.380.0-1.mga3
+ Revision: 342471
- update to 2.38

* Fri Aug 31 2012 kharec <kharec> 2.370.0-1.mga3
+ Revision: 286389
- update to 2.37

* Thu Jul 12 2012 jquelin <jquelin> 2.360.0-1.mga3
+ Revision: 270288
- update to 2.36

* Fri Oct 14 2011 jquelin <jquelin> 2.350.0-1.mga2
+ Revision: 155038
- update to 2.35

* Sun Jan 23 2011 jquelin <jquelin> 2.330.0-1.mga1
+ Revision: 34119
- mageia rebuild
- imported package perl-Parse-CPAN-Packages

